#include <iostream>
using namespace std;
typedef long long ll;
const int MAX=100000;
int main(){
	ll N,M,A[MAX],B[MAX];
	cin>>N>>M;
	for(int i=0;i<N;i++){
        cin>>A[i+1];
        B[i+1]=0;
	}
    ll X,Y;
    for(int i=0;i<M;i++){
        cin>>X>>Y;
        int a=B[X]+1,b=B[X]+1;
        int c=B[X]-1,d=B[X]-1;
        if((A[X]*a+A[Y]*b)>(A[X]*c+A[Y]*d)){
            B[X]++; B[Y]++;
        }
        else{
            B[X]--; B[Y]--;
        }
    }
    ll max_sreca=0;
    for(int i=0;i<N;i++)
        max_sreca+=A[i+1]*B[i+1];
    cout<<max_sreca<<endl;
	return 0;
}